Skip to main content
POST
/
v2
/
attributes
/
import
Import attributes from CSV
curl --request POST \
  --url https://commerceos.aiagents.fabric.inc/api/v2/attributes/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --header 'domain: <domain>' \
  --form file='@example-file' \
  --form 'name=Spring attributes import'
{
  "import_id": "e2716438-b763-4be8-82d2-36abe0cb92b1",
  "name": "attribute_test.csv",
  "status": "PENDING",
  "total_rows": 36,
  "processed_rows": 0,
  "created_count": 0,
  "updated_count": 0,
  "skipped_count": 0,
  "failed_count": 0,
  "input_filename": "attribute_test.csv",
  "input_file_url": null,
  "error_file_url": null,
  "error_message": null,
  "errors": [],
  "started_at": null,
  "completed_at": null,
  "created_at": "2026-03-12T18:04:03.879876Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

domain
string
required

The brand domain or brand identifier used to scope the request to a specific brand’s data and configuration.

Example:

"vessel"

Body

multipart/form-data
file
file
required

CSV file containing attribute definitions.

name
string

Human-friendly import name.

Example:

"Spring attributes import"

Response

Import accepted for asynchronous processing

import_id
string<uuid>
required

Identifier for the attribute import job.

Example:

"e2716438-b763-4be8-82d2-36abe0cb92b1"

name
string
required

Import name.

Example:

"attribute_test.csv"

status
string
required
Example:

"PENDING"

total_rows
integer
required
Example:

36

processed_rows
integer
required
Example:

0

created_count
integer
required
Example:

0

updated_count
integer
required
Example:

0

skipped_count
integer
required
Example:

0

failed_count
integer
required
Example:

0

input_filename
string
required
Example:

"attribute_test.csv"

errors
string[]
required
Example:
[]
created_at
string<date-time>
required
Example:

"2026-03-12T18:04:03.879876Z"

input_file_url
string<uri> | null
Example:

null

error_file_url
string<uri> | null
Example:

null

error_message
string | null
Example:

null

started_at
string<date-time> | null
Example:

null

completed_at
string<date-time> | null
Example:

null